from setuptools import setup, find_packages

with open('requirements.txt', mode='r') as f:
    requirements = [package for package in f]

with open('dev_requirements.txt', mode='r') as f:
    dev_requirments = [package for package in f]

setup(
    name='booker',
    version='0.1.0',
    description='An API backend for the booker book management sample project',
    #long_description=readme,
    author='Drew Bednar',
    author_email='drew@androiddrew.com',
    maintainer='Drew Bednar',
    maintainer_email='drew@androiddrew.com',
    url='https://git.androiddrew.com/androiddrew/booker',
    packages=find_packages(exclude=['tests']),
    include_package_data=True,
    install_requires=requirements,
    license='MIT',
    zip_safe=False,
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Environment :: Web Environment',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License',
        'Natural Language :: English',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
    ],
    extras_require={
        'dev': dev_requirments,
    },
    entry_points={
        'console_scripts': [
            'serve=booker.app:app.run'
        ]
    }
)
